#!/bin/bash
#
# We only need the header files, but we have to build the binary 
# to get the headers.

# buildCstxsd.sh <gcc47>

basequal=${1}

if [ -z ${basequal} ]
then
    basequal=gcc47
fi

pkgver=v3_3_0_p02a

echo "compiling for ${basequal}"

source ${PRODUCTS}/setup

OS=`uname`
if [ ${OS} = "Darwin" ]
then
    flvr=`ups flavor -2`
else
    flvr=`ups flavor`
fi

if [ -z ${flvr} ]
then
   echo "ERROR: could not determine flavor for this platform"
   echo "       something is very wrong"
   exit 1
fi

pkgdir=${PRODUCTS}/cstxsd/${pkgver}/${flvr}-${basequal}

mkdir -p ${pkgdir}
if [ ! -d ${pkgdir} ]
then
   echo "ERROR: failed to create ${pkgdir}"
   exit 1
fi

echo "Declaring cstxsd ${pkgver} for flavor ${flvr}"
if [ ${OS} = "Darwin" ]
then
   ups declare cstxsd ${pkgver} -r cstxsd/${pkgver} -2 -m cstxsd.table -q ${basequal}
else 
   ups declare cstxsd ${pkgver} -r cstxsd/${pkgver} -4 -m cstxsd.table -q ${basequal}
fi

set -x

ups build cstxsd ${pkgver} -q ${basequal}

set +x

if [ ! -d ${pkgdir}/include ]
then
   echo "ERROR: failed to create ${pkgdir}/include"
   echo "       Something is very wrong"
   exit 1
fi

# this should not complain
setup cstxsd ${pkgver} -q ${basequal}

exit 0
