#!/bin/bash

# pandora is available via svn at DESY

PANDORA_RELEASE=${1}

if [ -z ${PANDORA_RELEASE} ]
then
    PANDORA_RELEASE=v00-11
fi

set -x

mkdir -p code
PANDORA_ROOT=code/${PANDORA_RELEASE}

# CHECK OUT CORE SOFTWARE
svn co https://svnsrv.desy.de/public/PandoraPFANew/PandoraPFANew/tags/${PANDORA_RELEASE} ${PANDORA_ROOT}
svn co https://svnsrv.desy.de/public/PandoraPFANew/PandoraSDK/tags/${PANDORA_RELEASE} ${PANDORA_ROOT}/PandoraSDK
svn co https://svnsrv.desy.de/public/PandoraPFANew/PandoraMonitoring/tags/${PANDORA_RELEASE} ${PANDORA_ROOT}/PandoraMonitoring

cd ${PANDORA_ROOT}
tar cjf ../../source/Pandora-${PANDORA_RELEASE}.tar.bz2 .

set +x

exit

